import pygame
pygame.init()

screen = pygame.display.set_mode([800,420])
mainloop =  True
fps = 30
clock = pygame.time.Clock() # create clock object
starfield= pygame.image.load("star_background.jpg").convert()
starship = pygame.image.load("starship.jpg").convert()
myFont = pygame.font.SysFont("arial", 30)
ship_x, ship_y = 350, 300
screen.fill([0,0,0])
screen.blit(starfield, (0,0))
screen.blit(starship, (ship_x, ship_y))

while mainloop:
    tick_time = clock.tick(fps) # milliseconds since last frame
    pygame.display.set_caption("maeStarShip. FPS: %.2f" % (clock.get_fps()))

    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            mainloop = False
        elif event.type == pygame.KEYDOWN:
            if event.key == pygame.K_ESCAPE:
                mainloop = False
            elif event.key == pygame.K_LEFT:
                ship_x = ship_x-10
            elif event.key == pygame.K_RIGHT:
                ship_x = ship_x+10
            elif event.key == pygame.K_UP:
                ship_y = ship_y-10
            elif event.key == pygame.K_DOWN:
                ship_y = ship_y+10

    screen.fill([0,0,0])
    screen.blit(starfield, (0,0))
    screen.blit(starship, (ship_x, ship_y))
    screen.blit(myFont.render("Hello Spaceship!", 0, (255,255,255)), (20,20))

    pygame.display.update()
